Subject: Re: mintty: Doesn't know about CTRL key
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Sat, 17 Apr 2010 06:20:36 +0100
List-Id: <cygwin.cygwin.com>

Corinna Vinschen wrote:
> Consider you have more than one mintty window open.  A typical use case
> for me is to have one shell open under UAC and the other one with admin
> rights to test to test something.  Then I want to close both ttys and
> test again with another Cygwin DLL.
>
> So I press Ctrl-D twice, without lifting my thumb from the Ctrl key.
> The first mintty window closes just fine.  The second mintty window does
> not close.  Instead, it behaves as if I had pressed the 'd' key alone.
> So I have to BS and then press Ctrl-D again to exit the second shell.
>
> Apparently the second mintty window doesn't recognize the fact that the
> Ctrl key is still pressed.  This does not happen with two console
> windows, neither in tty, nor in notty mode.

Fixed in svn. If you want to give it a try:

svn checkout http://mintty.googlecode.com/svn/branches/0.6 mintty-0.6
cd mintty-0.6
make

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple